﻿Imports Telerik.WinControls.UI
Imports Telerik.WinControls.Data
Imports System.ComponentModel

Public Class Form1
    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        RadListView1.ViewType = Telerik.WinControls.UI.ListViewType.IconsView


        Me.RadListView1.DisplayMember = "FirstName"

        RadListView1.EnableSorting = True
        Dim sort As New SortDescriptor("FirstName", ListSortDirection.Ascending)

        RadListView1.SortDescriptors.Add(sort)

    End Sub
    Private Sub radListView1_ItemDataBound(sender As Object, e As Telerik.WinControls.UI.ListViewItemEventArgs) Handles RadListView1.ItemDataBound
        Dim view As DataRowView = DirectCast(e.Item.DataBoundItem, DataRowView)

        Dim row As DataRow = view.Row
        Dim b As Byte() = TryCast(row("Photo"), Byte())

        e.Item.Image = Telerik.WinControls.ImageHelper.GetImageFromBytes(b).GetThumbnailImage(20, 20, Nothing, IntPtr.Zero)


    End Sub

    Private Sub radListView1_KeyPress(sender As Object, e As KeyPressEventArgs) Handles RadListView1.KeyPress
        For Each item As ListViewDataItem In RadListView1.Items
            If item.Text.ToLowerInvariant().StartsWith(e.KeyChar.ToString().ToLowerInvariant()) Then
                RadListView1.SelectedItem = item
                Exit For
            End If
        Next
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'NwindDataSet.Employees' table. You can move, or remove it, as needed.
        Me.EmployeesTableAdapter.Fill(Me.NwindDataSet.Employees)

    End Sub
End Class
